Subject: bug#53669: Koutliner to export current buffer

From: Mats Lidell <[email-masked]>
Date: Fri, 04 Feb 2022 21:32:18 +0100

Hi,

Thanks for the suggestion. Sounds like a reasonable default. Will consider it.

For exporting the buffer with no prompt you have currently the alternative kexport:buffer. There is also kexport:display that both exports and then opens the file in web browser.

%% Mats

> Jean Louis writes:
> I have seen that Koutliner HTML export is not quite intuitive, so
> think about it. I was thinking if I choose "Export to HTML" that I
> will export the current buffer. But then no, it is asking for
> koutliner/buffer to export first. 
>
> Isn't it more intuitive if the current buffer is at least suggested to
> be the default?
>
> I use:  Editor:      GNU Emacs 29.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
>
>         Hyperbole:   8.0.0pre
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>         Install:     elpa-devel, 8.0.0pre0.20220130.32754
> -- 
> Thanks,
> Jean Louis
>
> Take action in Free Software Foundation campaigns:
> https://www.fsf.org/campaigns
>
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole